Summary:		A CD-ROM image access library
Name:			libmirage
Version:		1.4.0
Release:		2.4
License:		GPLv2+
Group:			System Environment/Libraries
URL:			http://cdemu.sourceforge.net
Source:			http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		pkg-config >= 0.14
BuildRequires:		flex >= 2.5.33, bison
BuildRequires:		libsndfile-devel
BuildRequires:		zlib-devel
BuildRequires:		glib2-devel

Requires:		shared-mime-info
%define mversion %(echo %{version} | awk -F. '{print $1"."$2}')

%description
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

The aim of libMirage is to provide uniform access to the data stored in 
different image formats, by creating a representation of disc stored in image 
file, which is based on GObjects.

%package devel
Summary: A CD-ROM image access library
Group: Development/Libraries
Requires: pkg-config >= 0.14
Requires: %{name} = %{version}-%{release}

%description devel
This is libMirage library, a CD-ROM image access library, and part of the 
userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator for linux. It is
written in C and based on GLib.

This package contains files needed to develop with libMirage.

%prep
%setup -q

%build
%{configure} --disable-static --with-html-dir=%{_docdir} || cat config.log
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/libmirage/*.{a,la}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libmirage.so.*
%{_datadir}/mime/packages/*
%dir %{_libdir}/%{name}-%{mversion}
%{_libdir}/%{name}-%{mversion}/fragment-binary.la
%{_libdir}/%{name}-%{mversion}/fragment-binary.so
%{_libdir}/%{name}-%{mversion}/fragment-null.la
%{_libdir}/%{name}-%{mversion}/fragment-null.so
%{_libdir}/%{name}-%{mversion}/fragment-sndfile.la
%{_libdir}/%{name}-%{mversion}/fragment-sndfile.so
%{_libdir}/%{name}-%{mversion}/image-b6t.la
%{_libdir}/%{name}-%{mversion}/image-b6t.so
%{_libdir}/%{name}-%{mversion}/image-c2d.la
%{_libdir}/%{name}-%{mversion}/image-c2d.so
%{_libdir}/%{name}-%{mversion}/image-ccd.la
%{_libdir}/%{name}-%{mversion}/image-ccd.so
%{_libdir}/%{name}-%{mversion}/image-cdi.la
%{_libdir}/%{name}-%{mversion}/image-cdi.so
%{_libdir}/%{name}-%{mversion}/image-cif.la
%{_libdir}/%{name}-%{mversion}/image-cif.so
%{_libdir}/%{name}-%{mversion}/image-cue.la
%{_libdir}/%{name}-%{mversion}/image-cue.so
%{_libdir}/%{name}-%{mversion}/image-daa.la
%{_libdir}/%{name}-%{mversion}/image-daa.so
%{_libdir}/%{name}-%{mversion}/image-iso.la
%{_libdir}/%{name}-%{mversion}/image-iso.so
%{_libdir}/%{name}-%{mversion}/image-mds.la
%{_libdir}/%{name}-%{mversion}/image-mds.so
%{_libdir}/%{name}-%{mversion}/image-nrg.la
%{_libdir}/%{name}-%{mversion}/image-nrg.so
%{_libdir}/%{name}-%{mversion}/image-readcd.la
%{_libdir}/%{name}-%{mversion}/image-readcd.so
%{_libdir}/%{name}-%{mversion}/image-toc.la
%{_libdir}/%{name}-%{mversion}/image-toc.so
%{_libdir}/%{name}-%{mversion}/image-xcdroast.la
%{_libdir}/%{name}-%{mversion}/image-xcdroast.so

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
#%doc %{_datadir}/gtk-doc/html/*

%changelog
* Sun Jan 22 2012 Carsten Schoene <cs@linux-administrator.com> - 1.4.0-1
- update to release 1.4.0

* Mon Dec 29 2008 Carsten Schoene <cs@linux-administrator.com> - 1.1.1-1
- update to version 1.1.1
* Sat Jul 19 2008 Carsten Schoene <cs@linux-administrator.com> - 1.1.0-2
- import to buildservices
- modifications for SuSE builds
* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
